package cn.reghao.autodop.dmaster.app.service.config;

import cn.reghao.autodop.dmaster.app.model.dto.DeployConfigDto;
import cn.reghao.autodop.dmaster.app.model.po.config.AppConfig;
import cn.reghao.autodop.dmaster.app.model.dto.NewApp;
import cn.reghao.autodop.dmaster.notification.model.po.NotifyGroup;
import cn.reghao.jdkutil.result.Result;

import java.util.List;

/**
 * @author reghao
 * @date 2021-09-16 18:28:51
 */
public interface AppConfigService {
    Result add(AppConfig appConfig);
    Result setDeployConfig(int id, List<DeployConfigDto> deployConfigDtos);
    Result setNotify(int id, List<NotifyGroup> notifyGroups);
    Result copy(AppConfig from, NewApp to);
    Result modify(AppConfig appConfig);
    Result delete(AppConfig appConfig);
}
